Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Unable to install any NPM modules on Fedora 15 x86 #2383

Closed
nshbrown opened this Issue Apr 18, 2012 · 2 comments

Comments

Projects
None yet
3 participants

$ sudo node -g install nodeunit

npm ERR! SyntaxError: Error parsing /usr/lib/node_modules/block-stream/package.json: Unexpected end of input
npm ERR! at Object.parse (native)
npm ERR! at readPackage (module.js:111:48)
npm ERR! at tryPackage (module.js:121:13)
npm ERR! at Function._findPath (module.js:189:18)
npm ERR! at Function._resolveFilename (module.js:330:25)
npm ERR! at Function._load (module.js:279:25)
npm ERR! at Module.require (module.js:354:17)
npm ERR! at require (module.js:370:17)
npm ERR! at Object. (/usr/lib/nodejs/tar/lib/entry-writer.js:7:19)
npm ERR! at Module._compile (module.js:441:26)
npm ERR! You may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com
npm ERR!
npm ERR! System Linux 2.6.38.6-26.rc1.fc15.x86_64
npm ERR! command "nodejs" "/usr/bin/npm" "-g" "install" "nodeunit"
npm ERR! cwd /home/vagrant
npm ERR! node -v v0.6.15
npm ERR! npm -v 1.1.16
npm ERR! path /usr/lib/node_modules/block-stream/package.json
npm ERR! type unexpected_eos
npm ERR! arguments []
npm ERR! message Error parsing /usr/lib/node_modules/block-stream/package.json: Unexpected end of input
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /home/vagrant/npm-debug.log
npm not ok

$ ll /usr/lib/node_modules/block-stream/
total 0
-rw-r--r-- 1 root root 0 Nov 7 17:31 block-stream.js
-rw-r--r-- 1 root root 0 Feb 8 12:53 package.json

RPM Repo: mirrorlist=http://nodejs.tchol.org/mirrors/nodejs-stable-f15

node-gyp.noarch 0.3.11-1.fc15 @nodejs-stable
nodejs.x86_64 0.6.15-1.fc15 @nodejs-stable
nodejs-abbrev.noarch 1.0.3-1.fc15 @nodejs-stable
nodejs-ansi.noarch 0.1.0-1.fc15 @nodejs-stable
nodejs-archy.noarch 0.0.2-1.fc15 @nodejs-stable
nodejs-block-stream.noarch 0.0.5-1.fc15 @/
nodejs-chownr.noarch 0.0.1-1.fc15 @nodejs-stable
nodejs-devel.x86_64 0.6.15-1.fc15 @nodejs-stable
nodejs-fast-list.noarch 1.0.2-1.fc15 @nodejs-stable
nodejs-fstream.noarch 0.1.18-1.fc15 @nodejs-stable
nodejs-fstream-ignore.noarch 0.0.5-1.fc15 @nodejs-stable
nodejs-fstream-npm.noarch 0.0.4-1.fc15 @nodejs-stable
nodejs-glob.noarch 3.1.9-1.fc15 @nodejs-stable
nodejs-graceful-fs.noarch 1.1.8-1.fc15 @nodejs-stable
nodejs-inherits.noarch 1.0.0-1.fc15 @nodejs-stable
nodejs-ini.noarch 1.0.2-1.fc15 @nodejs-stable
nodejs-lru-cache.noarch 1.0.6-1.fc15 @nodejs-stable
nodejs-minimatch.noarch 0.2.4-1.fc15 @nodejs-stable
nodejs-mkdirp.noarch 0.3.1-1.fc15 @nodejs-stable
nodejs-node-uuid.noarch 1.3.3-1.fc15 @nodejs-stable
nodejs-nopt.noarch 1.0.10-1.fc15 @nodejs-stable
nodejs-proto-list.noarch 1.0.0-1.fc15 @nodejs-stable
nodejs-read.noarch 0.0.2-1.fc15 @nodejs-stable
nodejs-request.noarch 2.9.153-1.fc15 @nodejs-stable
nodejs-rimraf.noarch 2.0.1-1.fc15 @nodejs-stable
nodejs-semver.noarch 1.0.13-1.fc15 @nodejs-stable
nodejs-slide-flow-control.noarch 1.1.3-1.fc15 @nodejs-stable
nodejs-stable-release.noarch 15-2 @/nodejs-stable-release.noarch
nodejs-tar.noarch 0.1.13-1.fc15 @nodejs-stable
nodejs-uid-number.noarch 0.0.3-1.fc15 @nodejs-stable
nodejs-waf.noarch 0.6.15-1.fc15 @nodejs-stable
nodejs-which.noarch 1.0.5-1.fc15 @nodejs-stable
npm.noarch 1.1.16-1.fc15 @nodejs-stable
v8.x86_64 3.6.6.24-1.fc15 @nodejs-stable

$ ll /usr/lib/node_modules/block-stream/
total 0
-rw-r--r-- 1 root root 0 Nov 7 17:31 block-stream.js
-rw-r--r-- 1 root root 0 Feb 8 12:53 package.json

Both those files are zero-length, which is Not Good. Try a yum reinstall nodejs-block-stream.

Contributor

luk- commented Mar 9, 2013

Try with more up to date versions and see what happens.

@luk- luk- closed this Mar 9, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment